RAND_ADD(3)

NAME
RAND_add, RAND_cleanup, RAND_seed, RAND_status - manipulate the PRNG state

SYNOPSIS
#include <openssl/rand.h>
void
RAND_add(const void *buf, int num, double entropy);
void
RAND_cleanup(void);
void
RAND_seed(const void *buf, int num);
int
RAND_status(void);

DESCRIPTION
These functions used to allow for the state of the random number generator to be controlled by external sources.

They are kept for ABI compatibility but are no longer functional, and should not be used in new programs.

RETURN VALUES
RAND_status() always returns 1.